# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "ockam_vault_core"
version = "0.27.0"
authors = ["Ockam Developers"]
description = "The Ockam Vault trait.\n"
homepage = "https://github.com/ockam-network/ockam"
readme = "README.md"
keywords = ["ockam", "crypto", "cryptography", "authentication", "no-std"]
categories = ["cryptography", "asynchronous", "authentication", "no-std", "algorithms"]
license = "Apache-2.0"
repository = "https://github.com/ockam-network/ockam/tree/develop/implementations/rust/ockam/ockam_vault_core"
[dependencies.cfg-if]
version = "1.0"

[dependencies.heapless]
version = "0.7"
features = ["serde"]
optional = true

[dependencies.ockam_core]
version = "0.33.0"
default_features = false

[dependencies.serde]
version = "1.0"
features = ["derive"]
default-features = false

[dependencies.serde-big-array]
version = "0.3"

[dependencies.zeroize]
version = "1.1"
features = ["zeroize_derive"]

[features]
alloc = ["ockam_core/alloc", "serde/alloc"]
default = ["std"]
no_std = ["ockam_core/no_std", "heapless"]
std = ["ockam_core/std"]
